parameter lwr = 1;
parameter upr = 2;
parameter per = 64;
parameter scn = 1;
parameter ramp = 0;

output double I;
output double Q;
output complex s;

double freq;
double dir;
double amp;
double phz;

freq = freq + (lwr-upr)

phz = phz + freq/per;

amp = 1+  ramp*(freq - lwr)/lwr;

s = ejx2p(phz)*amp;
I = real(s);
Q = imag(s);


