parameter per = 64;
slider freq = 2;
slider phase = 0;

output double h[per];

double f = int(freq*per/8+.5);

if (changed(phase) || changed(f)) {
    println("f:",f);

// build the signal array
    for (double n=0;n<per;n=n+1)
        h[n] = sin2p(phase+f*n/per);

    rotate(h,sizeof(h)/2);
}
