parameter L = 128;
parameter scale = 1;
output double h[L];

once {
    double Pi = 3.1415926;
    for (double n=0;n<L;n=n+1) {
         double m = n-L/2;
         h[n] = (1-cos(Pi*m))/Pi/m*scale;
         if (n == L/2)  h[n] = 0;
//           println("h[",n,"]=",h[n]);
    }
}
